
Unit Iicmot;

{$IFDEF FPC}
  {$MODE Delphi}
{$ENDIF}

Interface
Uses Vvaria,Ttabr1,Ttabr2,Bbatsp;

PROCEDURE ICmot;

PROCEDURE Bens;

PROCEDURE COber;

PROCEDURE NOxber;

PROCEDURE HCber;


Implementation


PROCEDURE Bens;

  Begin
    If (nic>2) then
      Begin
        If (nic0=Round(1000*nic)) then mmax:=0.001*mmax0
          else
            mmax:=Tabr2(Tforb,'1','i','i',nic,1);
        mmax:=Tabr1(Tforb,'1','i',nic,1);
        If ((NOT ((Prog='Comp1') OR (Prog='Para1') OR (Prog='K'))) AND (mic>mmax)) then     (*Underdimensionerad IC-motor*)
          Begin
            Ila:=mmax*Ila/mic;
            Batsp;                  (*Kr„ver fler steg f”r god noggrannhet*)
          End;
        If (mic>mmax) then mic:=mmax;
        Bff:=0;
        If ((mic0=Round(1000*mic)) AND (nic0=Round(1000*nic))) then Bbf:=0.001*Bbf0
          else
            Bbf:=Tabr2(Tforb,'2','i','i',mic,nic);
        If (Bbf>0.1) then
          Begin
            Bff:=mic*(nic*2*3.14/60)*3.18E-08;  (*3.18E-08 l/J se „ven Ppresp*)
            Bff:=Bff*100/Bbf
          End;
       (* Bensin:=Bensin-Dt*Bff;  Flyttad till bbilhyb för att undvika dubbelräkning*)
      End;
  End;

PROCEDURE COber;
Var
      Prom      :REAL;
  Begin
    If ((mic0=Round(1000*mic)) AND (nic0=Round(1000*nic))) then Prom:=0.001*PromCO
     else
       Begin
         Prom:=Tabr2(Tforb,'3','i','i',mic,nic);
         PromCO:=Round(1000*Prom);
       End;
    CO:=CO+Bff*Dens*Prom*Dt;         (*Ger CO i g. Dens „r t„thet f”r br„nslet*)
    If (Rs>0.1) then COr:=COr+Bff*Dens*Prom*Dt;
  End;

PROCEDURE NOxber;
Var
      Prom      :REAL;
  Begin
    If ((mic0=Round(1000*mic)) AND (nic0=Round(1000*nic))) then Prom:=0.001*PromNO
     else
       Begin
         Prom:=Tabr2(Tforb,'4','i','i',mic,nic);
         PromNO:=Round(1000*Prom);
       End;
    NOx:=NOx+Bff*Dens*Prom*Dt;         (*Ger NOx i g. Dens „r t„thet f”r br„nslet*)
    If (Rs>0.1) then NOxr:=NOxr+Bff*Dens*Prom*Dt;
  End;

PROCEDURE HCber;
Var
      Prom      :REAL;
  Begin
    If ((mic0=Round(1000*mic)) AND (nic0=Round(1000*nic))) then Prom:=0.001*PromHC
     else
       Begin
         Prom:=Tabr2(Tforb,'5','i','i',mic,nic);
         PromHC:=Round(1000*Prom);
       End;
    HC:=HC+Bff*Dens*Prom*Dt;         (*Ger HC i g. Dens „r t„thet f”r br„nslet*)
    If (Rs>0.1) then HCr:=HCr+Bff*Dens*Prom*Dt
  End;

PROCEDURE ICmot;
  Begin
    Bens;
    COber;
    NOxber;
    HCber;
  End;

End.

